Subject: [PATCH V2 03/19] irqchip: crossbar: Skip some irqs from getting mapped to crossbar

From: [email-masked] (Sricharan R)
Date: Fri, 13 Jun 2014 16:34:53 +0530

On Friday 13 June 2014 12:26 PM, Sricharan R wrote:
> Hi Jason,
> 
> On Thursday 12 June 2014 07:35 PM, Jason Cooper wrote:
>> On Thu, Jun 12, 2014 at 06:57:15AM -0700, Tony Lindgren wrote:
>>> * Jason Cooper <[email-masked]> [140612 05:52]:
>>>> On Thu, Jun 12, 2014 at 05:23:11PM +0530, Sricharan R wrote:
>>>>> From: Nishanth Menon <[email-masked]>
>>>>>
>>>>> When, in the system due to varied reasons, interrupts might be unusable
>>>>> due to hardware behavior, but register maps do exist, then those interrupts
>>>>> should be skipped while mapping irq to crossbars.
>>>>>
>>>>> Signed-off-by: Nishanth Menon <[email-masked]>
>>>>> Signed-off-by: Sricharan R <[email-masked]>
>>>>> Signed-off-by: Tony Lindgren <[email-masked]>
>>>>
>>>> Tony, have you applied these somewhere already?
>>>
>>> I think some of these I had applied into a branch ready for
>>> merging but then it was discovered that further changes
>>> were needed and the branch was dropped.
>>
>> Ok.
>>
>>> Sricharan, please remove my Signed-off-by from this series.
>>> If I end up applying it for merging my scripts will add it
>>> automatically.
>>
>> Do you have other changes outside of irqchip depending on this series?
>> If so, I can set up a topic branch for you guys to base off of.
>> Otherwise, I'll just apply them to irqchip/core when they're ready.
>>
>  There are dts changes which are dependent upon this series.
> 
>   http://www.spinics.net/lists/linux-omap/msg108116.html
> 
>> Also, Sricharan, when you respin this, please clearly identify (in the
>> comment section) those patches that need to be flagged for stable.  It
>> would be helpful if they were the first patches in the series as well.
> 
> Ok, i will point this out clearly.
 Infact since the dts node is not present in the older kernel (even now),
 the driver itself is not used. So i feel there is nothing to be flagged
  for stable as such.

Regards,
 Sricharan